.sidenav {
  position: absolute;
  top: 0;
  left: 0;
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  width: 70px;
  padding: 15px;
  margin: 0;
  min-height: 100vh;
  max-height: 100vh;
  background-color: var(--toneBluePrimary);
  z-index: 200000;
  box-shadow: 4px 0 8px rgba(0, 0, 0, 0.2);
  transition: all 0.3s ease-in-out 0.3s;
}

.sidenav:hover {
  transition-delay: 0.3s;
  width: 280px;
}

.sidenav:hover .sectionUserInfo__name {
  transition-delay: 0.6s;
  opacity: 1;
  visibility: visible;
  opacity: 1;
}

.sidenav:hover .sectionUserInfo__rol {
  transition-delay: 0.6s;
  opacity: 1;
  visibility: visible;
  opacity: 1;
}

.sidenav:hover .contentFunctionModule {
  transition-delay: 0.2s;
  visibility: visible;
  opacity: 1;
  height: auto;
}

.sidenav:hover .textModule {
  transition-delay: 0.3s;
  visibility: visible;
  opacity: 1;
}

.sectionUserInfo {
  width: 100%;
  max-height: 110px;
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  justify-content: center;
  align-items: center;
  align-content: center;
}

.sectionUserInfo__avatar {
  background-image: url("../../img/icons/menu/avatar.svg");
  background-position: center;
  background-repeat: no-repeat;
  min-width: 35px;
  min-height: 35px;
}

.sectionUserInfo__name {
  margin-top: 10px;
  width: 100%;
  height: 35px;
  color: var(--toneWhite);
  text-align: center;
  visibility: hidden;
  opacity: 0;
}

.sectionUserInfo__rol {
  height: 35px;
  width: 100%;
  color: var(--toneGreyTextSoft);
  text-align: center;
  visibility: hidden;
  opacity: 0;
}

.sectionModulesMenu {
  position: relative;
  z-index: 100000;
  top: 30px;
  width: 100%;
  min-height: calc(100vh - 230px);
  max-height: calc(100vh - 230px);
  overflow: auto;
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  gap: 25px;
}

.sectionModulesMenu::-webkit-scrollbar {
  width: 0;
  height: 0;
  background: transparent;
}

.sectionModulesMenu::-webkit-scrollbar-thumb {
  background: transparent;
}

.modulesName {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  cursor: pointer;
  width: 100%;
}

.contentNameModule {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: flex-start;
  align-content: center;
  align-items: center;
  gap: 5px;
  width: 100%;
  height: 35px;
}

.contentFunctionActive {
  color: var(--toneBlueTextSoftButtons) !important;
}

.imgModule {
  min-width: 35px;
  max-width: 35px;
  height: 35px;
  background-position: center;
  background-repeat: no-repeat;
  background-size: 28px 28px;
}

.imgModuleActive {
  border-radius: 5px;
  border: 2px solid var(--toneBlueTextSoftButtons);
}

.modulesNameActive > .contentNameModule > .textModule {
  color: var(--toneBlueTextSoftButtons);
}

.textModule {
  width: 100%;
  height: auto;
  color: var(--toneGreyTextSoft);
  text-decoration: none;
  visibility: hidden;
  opacity: 0;
  transition: all 0.2s ease-in-out;
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  align-items: center;
  align-content: center;
  border-radius: 5px;
  padding: 5px 10px;
}

.textModule:hover {
  color: var(--toneBlueTextSoftButtons);
}

.contentFunctionModule {
  position: relative;
  top: 5px;
  left: 0px;
  visibility: hidden;
  opacity: 0;
  transition: all 0.3s ease-in-out;
  height: 0px;
  padding-left: 45px;
}

.sectionCloseSession {
  margin-bottom: 15px;
  width: 30px;
  height: 30px;
  background-image: url("../../img/icons/menu/cerrarSesion.svg");
  background-position: left;
  background-repeat: no-repeat;
  background-size: 100%;
  margin-top: auto;
  cursor: pointer;
}

/* imagenes menu */

.menuAdmin {
  background-image: url(../../img/icons/menu/administracion.svg);
}

.menuSeguridad {
  background-image: url(../../img/icons/menu/seguridad.svg);
}

.menuMonitoreo {
  background-image: url(../../img/icons/menu/monitoreo.svg);
}

.menuRh {
  background-image: url(../../img/icons/menu/rh.svg);
}

.menuTrafico {
  background-image: url(../../img/icons/menu/trafico.svg);
}

.menuMantenimiento {
  background-image: url(../../img/icons/menu/mantenimiento.svg);
}

.menuIndicadores {
  background-image: url(../../img/icons/menu/indicadores.svg);
}
